Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\Page Class Reference
Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\Page:

## Public Member Functions
| addSemanticConfig (NodeBuilder $nodeBuilder)
| Adds semantic configuration definition. More...
| preMap (array $config, ContextualizerInterface $contextualizer)
| This method is called by the ConfigurationProcessor before looping over available scopes. More...
| mapConfig (array &$scopeSettings, $currentScope, ContextualizerInterface $contextualizer)
| Does semantic config to internal container parameters mapping for $currentScope. More...
Public Member Functions inherited from eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\AbstractParser
| postMap (array $config, ContextualizerInterface $contextualizer)
| This method is called by the ConfigurationProcessor after looping over available scopes. More...

## Detailed Description

Definition at line 15 of file Bundle/EzPublishCoreBundle/DependencyInjection/Configuration/Parser/Page.php.

## Member Function Documentation

## ◆ addSemanticConfig()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\Page::addSemanticConfig | ( | NodeBuilder | $nodeBuilder | ) |

Adds semantic configuration definition.

Parameters

  \Symfony\Component\Config\Definition\Builder\NodeBuilder | $nodeBuilder | Node just under ezpublish.system.<siteaccess>

Implements eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ParserInterface.

Definition at line 22 of file Bundle/EzPublishCoreBundle/DependencyInjection/Configuration/Parser/Page.php.

## ◆ mapConfig()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\Page::mapConfig | ( | array & | $scopeSettings,
|  |  | $currentScope,
|  | ContextualizerInterface | $contextualizer
| ) |  |

Does semantic config to internal container parameters mapping for $currentScope.

This method is called by the `ConfigurationProcessor`, for each available scopes (e.g. SiteAccess, SiteAccess groups or "global").

Parameters

  array | $scopeSettings | Parsed semantic configuration for current scope. It is passed by reference, making it possible to alter it for usage after `mapConfig()` has run.
  string | $currentScope |
  ContextualizerInterface | $contextualizer |

Implements eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ConfigurationMapperInterface.

Definition at line 106 of file Bundle/EzPublishCoreBundle/DependencyInjection/Configuration/Parser/Page.php.

## ◆ preMap()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\Page::preMap | ( | array | $config,
|  | ContextualizerInterface | $contextualizer
| ) |  |

This method is called by the ConfigurationProcessor before looping over available scopes.

You may here use $contextualizer->mapConfigArray().

See also
  ConfigurationProcessor::mapConfig()
  ContextualizerInterface::mapConfigArray()

Parameters

  array | $config | Complete parsed semantic configuration
  ContextualizerInterface | $contextualizer |

Returns
  mixed

Reimplemented from eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\AbstractParser.

Definition at line 62 of file Bundle/EzPublishCoreBundle/DependencyInjection/Configuration/Parser/Page.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ContextualizerInterface\getContainer(), eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ContextualizerInterface\mapConfigArray(), and eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ConfigResolver\SCOPE_DEFAULT.

The documentation for this class was generated from the following file:

- Bundle/EzPublishCoreBundle/DependencyInjection/Configuration/Parser/Page.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.